Subject: Re: [devuan-dev] bug#490: gpsd: Current version of gpsd does not install /etc/init.d/gpsd and fails to start

From: Mark Hindley <[email-masked]>
Date: Sat, 8 Aug 2020 10:50:21 +0100

On Fri, Aug 07, 2020 at 11:57:57PM +0300, Boian Bonev wrote:
> > I assume you have checked functionality.
> 
> Not all of it, because I do the development on an amd64 vm and there I
> can only test install and to see that the daemon starts, but not that
> it actually works. I have an aarch64 RPI GPS NTP server and will test
> it there (it is a production one, but I have means to bypass in case it
> breaks).

OK.

> > Are you able to fix #314?
> 
> Checked it just now - that one does not apply to gpsd 3.20; previous
> gpsd versions generated header file with a fix for roll overs during
> build time (based on current time), so gpsd 3.16 built back in time had
> the problem while newly built one didn't have it. Upstream reworked the
> whole thing long ago. Unfortunatelly I can't verify it, just checked
> the source of gpsd and https://gitlab.com/gpsd/gpsd/-/issues/3 and it
> seems fixed.
> 
> > A couple of comments about the packaging:-
> > 
> >  - Please close #490 in the 'Fork for Devuan' changelog entry.
> 
> sure, also closed 314

Great.
 
> I am wondering how bugs are distinguished, is there a tag like LP: that
> closes Devuan bugs? I did a test build of iwd and lintian was
> complaining about improbable-bug-number-in-closes.

They aren't. It is just that building on Devuan buildhosts will close Devuan BTS
bugs.

If you install devuan-lintian-profile you should get more sane lintian warnings.
 
> >  - d/control: as you have renamed gpsd-dbg to gpds-dbg-tools (which
> > seems
> >    sensible) you will need conflicts, provides and replaces for gpsd-
> > dbg
> >    otherwise upgrades will fail due to a file conflict.
> 
> I have planned one more change for this part - to install the
> executables under /usr/libexec/gpsd/debug; then there will be no
> conflict.
>
> But on second thought, to avoid possible confusion, it is a
> good idea to set them - when main package is upgraded it will be a good
> idea to also upgrade this part and not leave the old gpsd-dbg installed
> with new gpsd-dbg-tools.

Yes, exactly.

> Also I see that there is a transition for
> gpsd-dbg to gpsd-dbgsym which I believe is long ago finished.
> 
> > Once those are fixed I can copy the repo to 
> > https://git.devuan.org/devuan/gpsd
> > and make you maintainer. Then you will be able to trigger the
> > production build.
> 
> I have no idea how that part works. Is there a way to test it first?

Not really. If a local build with gbp works it should be OK. The documentation
for how to trigger the production build is
https://git.devuan.org/devuan/documentation/src/branch/master/maintainers/JenkinsAutobuild.md

Thanks.

Mark